This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 471212 - pirut: sqlitesack.py:94:_read_db_obj:TypeError: 'NoneType' object is unsubscriptable
pirut: sqlitesack.py:94:_read_db_obj:TypeError: 'NoneType' object is unsubscr...
Status: CLOSED DUPLICATE of bug 465898
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 08:12 EST by Bart Oldenhof
Modified: 2014-01-21 18:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 12:17:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the thingy that the screen wanted me to send you (2.86 KB, text/plain)
2008-11-12 08:12 EST, Bart Oldenhof
no flags Details
Pirut traceback from system update (2.61 KB, text/plain)
2008-11-12 11:35 EST, Bryson Lee
no flags Details
Output of "yum check-update" (2.93 KB, text/plain)
2008-11-12 11:40 EST, Bryson Lee
no flags Details

  None (edit)
Description Bart Oldenhof 2008-11-12 08:12:00 EST
Created attachment 323331 [details]
the thingy that the screen wanted me to send you

Description of problem:
Updating the system gave me an unhandled exception.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Update system using pirut.
2. That's it.
3. No realy, that's it.
  
Actual results:
a screen that says: An unhandled exception has occurred.  This is most likely a bug.  Please save the crash dump and file a detailed bug report against pirut at https://bugzilla.redhat.com/bugzilla

Expected results:
an updated system.

Additional info:
Comment 1 Bart Oldenhof 2008-11-12 09:18:15 EST
Updating package gecko-mediaplayer-0.9.0-1.fc8.i386 seems to be the problem. the rest works fine.
Comment 2 Bryson Lee 2008-11-12 11:35:17 EST
Created attachment 323341 [details]
Pirut traceback from system update

A similar traceback from Fedora 8 on an AMD x86_64 system.  In my case de-selecting gecko-mediaplayer did not help.
Comment 3 Bryson Lee 2008-11-12 11:40:41 EST
Created attachment 323342 [details]
Output of "yum check-update" 

This is the list of packages to be updated on my x86_64 system when the pirut traceback happens.
Comment 4 Bug Zapper 2008-11-26 06:18:22 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bryson Lee 2008-11-26 12:22:10 EST
In my case on my x86_84 system running "yum clear all" followed by "yum update" fixed the problem.
Comment 6 James Antill 2008-12-01 12:17:50 EST

*** This bug has been marked as a duplicate of bug 465898 ***

Note You need to log in before you can comment on or make changes to this bug.